Class | Amalgalite::TypeMaps::StorageMap
In: | lib/amalgalite/type_maps/storage_map.rb lib/amalgalite/type_maps/storage_map.rb
Parent: | ::Amalgalite::TypeMap

An Amalagliate TypeMap that has a one-to-one conversion between SQLite types and Ruby classes

### Methods

bind_type_of bind_type_of result_value_of result_value_of

### Public Instance methods

bind_type_of( obj )

A straight logical mapping (for me at least) of basic Ruby classes to SQLite types, if nothing can be found then default to TEXT.

bind_type_of( obj )

A straight logical mapping (for me at least) of basic Ruby classes to SQLite types, if nothing can be found then default to TEXT.

result_value_of( delcared_type, value )

Do no mapping, just return the value as it was retrieved from SQLite.

result_value_of( delcared_type, value )

Do no mapping, just return the value as it was retrieved from SQLite.

[Validate]